Bug 243198 - sysutils/vm-bhyve: Update to 1.4.2
Summary: sysutils/vm-bhyve: Update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://github.com/churchers/vm-bhyve...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-08 20:29 UTC by Lewis Cook
Modified: 2020-01-29 03:03 UTC (History)
3 users (show)

See Also:
churchers: maintainer-feedback+


Attachments
vm-bhyve-1.4.0.diff (2.83 KB, patch)
2020-01-08 20:29 UTC, Lewis Cook
no flags Details | Diff
vm-bhyve-1.4.0.log (14.52 KB, text/plain)
2020-01-08 20:30 UTC, Lewis Cook
no flags Details
vm-bhyve-1.4.2 patch (1.81 KB, patch)
2020-01-14 11:03 UTC, churchers
churchers: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2020-01-08 20:29:41 UTC
Created attachment 210545 [details]
vm-bhyve-1.4.0.diff

Changes:
	* Bump PORTVERSION to 1.4.0;
	* Pet portclippy and portfmt;
	* Include patch 'files/patch-lib-vm-run' which fixes bug#240178;
	* Added optional BHYVE_FIRMWARE, GRUB2_BHYVE and TMUX - see options DESC for uses (also stated in the README).
QA:
	* Package built in Poudriere;
	* Portlint: Looks fine.
Comment 1 Lewis Cook freebsd_triage 2020-01-08 20:30:32 UTC
Created attachment 210546 [details]
vm-bhyve-1.4.0.log

* Poudriere build logs.
Comment 2 Automation User 2020-01-08 20:40:51 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/107925858
Comment 3 churchers 2020-01-14 11:03:04 UTC
Created attachment 210732 [details]
vm-bhyve-1.4.2 patch

1.4.2 patch
Comment 4 churchers 2020-01-14 11:04:44 UTC
Sorry, I've been MIA for a while

I have attached a 1.4.2 patch which directly includes the console fix, as well as including the useful makefile changes to provide options for tmux/firmware/grub2-bhyve
Comment 5 Lewis Cook freebsd_triage 2020-01-14 17:27:08 UTC
(In reply to churchers from comment #4)
No worries, thanks for your work and time on this project!
Comment 6 commit-hook freebsd_committer 2020-01-29 03:03:02 UTC
A commit references this bug:

Author: meta
Date: Wed Jan 29 03:02:00 UTC 2020
New revision: 524530
URL: https://svnweb.freebsd.org/changeset/ports/524530

Log:
  sysutils/vm-bhyve: Update to 1.4.2

  PR:		243198
  Submitted by:	Lewis Cook <vulcan@wired.sh>
  Approved by:	churchers@gmail.com (maintainer)
  Relnotes:	https://github.com/churchers/vm-bhyve/releases/tag/v1.4.0
  		https://github.com/churchers/vm-bhyve/releases/tag/v1.4.2
  Sponsored by:	HAW International

Changes:
  head/sysutils/vm-bhyve/Makefile
  head/sysutils/vm-bhyve/distinfo
Comment 7 Koichiro Iwao freebsd_committer 2020-01-29 03:03:56 UTC
Committed, thank you both!